Runtime

## org.eclipse.gmf.runtime.notation
Interface StringValueStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  StringValueStyleImpl

    public interface StringValueStyle

extends NamedStyle

A representation of the model object 'String Value Style'.

The following features are supported:

- `String Value`

See Also:
  `NotationPackage.getStringValueStyle()`
** Generated **
Model:

Method Summary
`java.lang.String` `getStringValue()` Returns the value of the 'String Value' attribute
`void` `setStringValue(java.lang.String value)` Sets the value of the '`String Value`' attribute

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStringValue

    java.lang.String getStringValue()

  Returns the value of the 'String Value' attribute.

  If the meaning of the 'String Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Value' attribute.
  See Also:
    `setStringValue(String)`, `NotationPackage.getStringValueStyle_StringValue()`
  ** Generated **
  Model:

### setStringValue

    void setStringValue(java.lang.String value)

  Sets the value of the '`String Value`' attribute.

  Parameters:
    `value` - the new value of the 'String Value' attribute.
  See Also:
    `getStringValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.